Public Member Functions | Public Attributes | List of all members
WordMakerParserInternal::State Struct Reference

Internal: the state of a WordMakerParser. More...

## Public Member Functions
| State ()
| constructor More...
| State (State const &)=delete
State & | operator= (State const &)=default

## Public Attributes
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
long | m_endDataZone
| the end data zone limit More...
Zone * | m_currentZone
| the current zone More...
std::multimap< Zone::Type, Zone > | m_typeToZoneMap
| a map type to zone More...
std::vector< MWAWEntry > | m_pictureList
| the list of document picture entries More...

## Detailed Description

Internal: the state of a WordMakerParser.

## Constructor & Destructor Documentation

## ◆ State() [1/2]

WordMakerParserInternal::State::State | ( |  | ) |
| inline

constructor

## ◆ State() [2/2]

WordMakerParserInternal::State::State | ( | State const & |  | ) |
| delete

## Member Function Documentation

## ◆ operator=()

State& WordMakerParserInternal::State::operator= | ( | State const & |  | ) |
| default

## Member Data Documentation

## ◆ m_actPage

int WordMakerParserInternal::State::m_actPage

the actual page

## ◆ m_currentZone

Zone* WordMakerParserInternal::State::m_currentZone

the current zone

## ◆ m_endDataZone

long WordMakerParserInternal::State::m_endDataZone

the end data zone limit

## ◆ m_numPages

int WordMakerParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_pictureList

std::vector<MWAWEntry> WordMakerParserInternal::State::m_pictureList

the list of document picture entries

## ◆ m_typeToZoneMap

std::multimap<Zone::Type, Zone> WordMakerParserInternal::State::m_typeToZoneMap

a map type to zone

The documentation for this struct was generated from the following file:

- WordMakerParser.cxx